Bug 178522 - kernel upgrade fails in mkinitrd on raid10 root filesystems
kernel upgrade fails in mkinitrd on raid10 root filesystems
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 06:21 EST by Felix Bellaby
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 19:13:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch given in text (324 bytes, patch)
2006-01-21 06:21 EST, Felix Bellaby
no flags Details | Diff

  None (edit)
Description Felix Bellaby 2006-01-21 06:21:16 EST
Description of problem:

mkinitrd does not support systems where the root filesystem is on 
a raid10 array when used without arguments in a normal kernel upgrade

Version-Release number of selected component (if applicable):

mkinitrd-4.2.15-1

How reproducible:

Set up a system with a raid10 root filesystem and try it. However. that is
a lot effort given the simplicity of the patch

Actual results:

Creates an initrd with no raid10.ko module and with the related steps in
init missing.

Expected results:

Should include the module in initrd /lib/, then include lines in init to 
insmod the module and raidautorun the md device

Additional info:

The following patch fixes the bug:

--- mkinitrd    2006-01-21 11:28:42.000000000 +0000
+++ mkinitrd.new        2006-01-21 11:30:47.000000000 +0000
@@ -450,7 +450,7 @@
            findmodule multipath
            startraid=1
            ;;
-       raid[01456])
+       raid[01456] | raid10)
            findmodule $level
            startraid=1
            ;;

However, the whole case statement causing the problem could simply be 
removed. Why try checking the contents of /proc/mdstat? Are you worried 
that it might be wrong? God help us if it is!
Comment 1 Felix Bellaby 2006-01-21 06:21:16 EST
Created attachment 123525 [details]
Patch given in text
Comment 2 Peter Jones 2006-02-03 19:13:23 EST
More worried that something will be added that we can't handle and wanting to
fail somewhat gracefully.

Thanks for the patch, it'll be in the next build I do (5.0.22-1, probably
sometime next week).

Note You need to log in before you can comment on or make changes to this bug.